> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Models

> Query the list of models available to a specific token

> Last updated: 2026-06-06

## Overview

Get the list of models that the current token (API Key) can access. If the token has no model restrictions, all enabled system models are returned.

The currently supported public endpoint is:

```text theme={null}
GET /v1/models
```

`GET /api/token/models` is not a currently exposed public endpoint. Use `/v1/models` instead.

## Authentication

Authenticate using an API Key (sk-xxx):

```
Authorization: Bearer sk-xxx
```

## Response Format

```json theme={null}
{
  "success": true,
  "object": "list",
  "data": [
    {
      "id": "gpt-5.5",
      "object": "model",
      "owned_by": "openai"
    },
    {
      "id": "claude-opus-4-8",
      "object": "model",
      "owned_by": "anthropic"
    }
  ]
}
```

## Code Examples

<CodeGroup>
  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="sk-xxx",
      base_url="https://api.crazyrouter.com/v1"
  )

  # Get model list via OpenAI SDK
  models = client.models.list()
  for model in models.data:
      print(model.id)
  ```

  ```python Python (requests) theme={null}
  import requests

  response = requests.get(
      "https://api.crazyrouter.com/v1/models",
      headers={"Authorization": "Bearer sk-xxx"}
  )

  models = response.json()["data"]
  for model in models:
      print(model["id"])
  ```

  ```bash cURL theme={null}
  curl https://api.crazyrouter.com/v1/models \
    -H "Authorization: Bearer sk-xxx"
  ```
</CodeGroup>

<Note>
  If you use the OpenAI SDK, `client.models.list()` is effectively calling `GET /v1/models`.
</Note>

Related pages:

* [Official Model Pricing Methods](/en/reference/official-pricing-methods)
